Skip to main content

Get Mi Versions

GET 

/v1/armada/machine_image/:mi_id/versions

Get versions for a machine image

Request

Path Parameters

    mi_id uuidrequired

    The machine image ID

Responses

Successful Response

Schema

    versions

    object[]

    required

  • Array [

  • name Name (string)required

    Possible values: non-empty and <= 256 characters

    The name within the context of the provider. This could be a registry path or an AWS image name.

    description Description (string)

    A long form description of the image that will only be used for documentation purposes

    machine_image_id uuidrequired
  • ]

  • transactions

    object[]

    required

  • Array [

  • id Id (integer)required
    issued_at date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    meta

    object

    required

    property name* string
  • ]

Loading...